org.apache.lucene.facet.taxonomy

## Class OrdinalsReader

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.OrdinalsReader

- Direct Known Subclasses:
    CachedOrdinalsReader, DocValuesOrdinalsReader

      public abstract class OrdinalsReader
      extends Object

  Provides per-document ordinals.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrdinalsReader.OrdinalsSegmentReader` Returns ordinals for documents in one segment.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrdinalsReader()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getIndexFieldName()` Returns the indexed field name this `OrdinalsReader` is reading from.
    `abstract OrdinalsReader.OrdinalsSegmentReader` | `getReader(LeafReaderContext context)` Set current atomic reader.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrdinalsReader

          public OrdinalsReader()

      Default constructor.

  - ### Method Detail

    - #### getReader

          public abstract OrdinalsReader.OrdinalsSegmentReader getReader(LeafReaderContext context)
                                                                  throws IOException

      Set current atomic reader.
      Throws:
        `IOException`

    - #### getIndexFieldName

          public abstract String getIndexFieldName()

      Returns the indexed field name this `OrdinalsReader` is reading from.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.